Index: external/bsd/llvm/include/llvm/Option/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Option/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Option/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Option/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Passes/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Passes/Makefile
diff -N external/bsd/llvm/include/llvm/Passes/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Passes/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Passes
+
+INCS=		PassBuilder.h PassPlugin.h
+INCSDIR=	/usr/include/llvm/Passes
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Passes/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Passes/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Passes/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Passes/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/ProfileData/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/ProfileData/Makefile
diff -N external/bsd/llvm/include/llvm/ProfileData/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ProfileData/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,22 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/ProfileData
+
+SUBDIR+=	Coverage
+
+INCS=	GCOV.h \
+	InstrProf.h \
+	InstrProfReader.h \
+	InstrProfWriter.h \
+	ProfileCommon.h \
+	SampleProf.h \
+	SampleProfReader.h \
+	SampleProfWriter.h
+
+
+INCSDIR=	/usr/include/llvm/ProfileData
+
+.include <bsd.subdir.mk>
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/ProfileData/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/ProfileData/Makefile.inc
diff -N external/bsd/llvm/include/llvm/ProfileData/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ProfileData/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/ProfileData/Coverage/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/ProfileData/Coverage/Makefile
diff -N external/bsd/llvm/include/llvm/ProfileData/Coverage/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ProfileData/Coverage/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/ProfileData/Coverage
+
+INCS=		CoverageMapping.h CoverageMappingReader.h CoverageMappingWriter.h
+INCSDIR=	/usr/include/llvm/ProfileData/Coverage
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/ProfileData/Coverage/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/ProfileData/Coverage/Makefile.inc
diff -N external/bsd/llvm/include/llvm/ProfileData/Coverage/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ProfileData/Coverage/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Support/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Support/Makefile
diff -N external/bsd/llvm/include/llvm/Support/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Support/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,156 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Support
+
+INCS=	AMDGPUMetadata.h \
+	AMDHSAKernelDescriptor.h \
+	ARMAttributeParser.h \
+	ARMBuildAttributes.h \
+	ARMEHABI.h \
+	ARMWinEH.h \
+	AlignOf.h \
+	Allocator.h \
+	ArrayRecycler.h \
+	Atomic.h \
+	AtomicOrdering.h \
+	BinaryByteStream.h \
+	BinaryItemStream.h \
+	BinaryStream.h \
+	BinaryStreamArray.h \
+	BinaryStreamError.h \
+	BinaryStreamReader.h \
+	BinaryStreamRef.h \
+	BinaryStreamWriter.h \
+	BlockFrequency.h \
+	BranchProbability.h \
+	CBindingWrapping.h \
+	COM.h \
+	CachePruning.h \
+	Capacity.h \
+	Casting.h \
+	CheckedArithmetic.h \
+	Chrono.h \
+	CodeGen.h \
+	CodeGenCoverage.h \
+	CommandLine.h \
+	Compiler.h \
+	Compression.h \
+	ConvertUTF.h \
+	CrashRecoveryContext.h \
+	DJB.h \
+	DOTGraphTraits.h \
+	DataExtractor.h \
+	DataTypes.h \
+	Debug.h \
+	DebugCounter.h \
+	DynamicLibrary.h \
+	Endian.h \
+	EndianStream.h \
+	Errc.h \
+	Errno.h \
+	Error.h \
+	ErrorHandling.h \
+	ErrorOr.h \
+	FileOutputBuffer.h \
+	FileSystem.h \
+	FileUtilities.h \
+	Format.h \
+	FormatAdapters.h \
+	FormatCommon.h \
+	FormatProviders.h \
+	FormatVariadic.h \
+	FormatVariadicDetails.h \
+	FormattedStream.h \
+	GenericDomTree.h \
+	GenericDomTreeConstruction.h \
+	GlobPattern.h \
+	GraphWriter.h \
+	Host.h \
+	InitLLVM.h \
+	JSON.h \
+	JamCRC.h \
+	KnownBits.h \
+	LEB128.h \
+	LineIterator.h \
+	Locale.h \
+	LockFileManager.h \
+	LowLevelTypeImpl.h \
+	MD5.h \
+	MachineValueType.h \
+	ManagedStatic.h \
+	MathExtras.h \
+	MemAlloc.h \
+	Memory.h \
+	MemoryBuffer.h \
+	MipsABIFlags.h \
+	Mutex.h \
+	MutexGuard.h \
+	NativeFormatting.h \
+	OnDiskHashTable.h \
+	Options.h \
+	Parallel.h \
+	Path.h \
+	PluginLoader.h \
+	PointerLikeTypeTraits.h \
+	PrettyStackTrace.h \
+	Printable.h \
+	Process.h \
+	Program.h \
+	RWMutex.h \
+	RandomNumberGenerator.h \
+	Recycler.h \
+	RecyclingAllocator.h \
+	Regex.h \
+	Registry.h \
+	ReverseIteration.h \
+	SHA1.h \
+	SMLoc.h \
+	SaveAndRestore.h \
+	ScaledNumber.h \
+	ScopedPrinter.h \
+	Signals.h \
+	SmallVectorMemoryBuffer.h \
+	SourceMgr.h \
+	SpecialCaseList.h \
+	StringPool.h \
+	StringSaver.h \
+	SwapByteOrder.h \
+	SystemUtils.h \
+	TarWriter.h \
+	TargetParser.h \
+	TargetRegistry.h \
+	TargetSelect.h \
+	TaskQueue.h \
+	ThreadLocal.h \
+	ThreadPool.h \
+	Threading.h \
+	Timer.h \
+	ToolOutputFile.h \
+	TrailingObjects.h \
+	TrigramIndex.h \
+	TypeName.h \
+	Unicode.h \
+	UnicodeCharRanges.h \
+	UniqueLock.h \
+	Valgrind.h \
+	VersionTuple.h \
+	Watchdog.h \
+	Win64EH.h \
+	WindowsError.h \
+	WithColor.h \
+	X86DisassemblerDecoderCommon.h \
+	YAMLParser.h \
+	YAMLTraits.h \
+	circular_raw_ostream.h \
+	raw_os_ostream.h \
+	raw_ostream.h \
+	raw_sha1_ostream.h \
+	thread.h \
+	type_traits.h \
+	xxhash.h
+
+INCSDIR=	/usr/include/llvm/Support
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Support/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Support/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Support/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Support/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/TableGen/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/TableGen/Makefile
diff -N external/bsd/llvm/include/llvm/TableGen/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/TableGen/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,11 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/TableGen
+
+INCS=		Error.h Main.h Record.h SetTheory.h StringMatcher.h \
+		StringToOffsetTable.h TableGenBackend.h 
+INCSDIR=	/usr/include/llvm/TableGen
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/TableGen/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/TableGen/Makefile.inc
diff -N external/bsd/llvm/include/llvm/TableGen/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/TableGen/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Target/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Target/Makefile
diff -N external/bsd/llvm/include/llvm/Target/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Target/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,15 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Target
+
+INCS=	CodeGenCWrappers.h \
+	TargetIntrinsicInfo.h \
+	TargetLoweringObjectFile.h \
+	TargetMachine.h \
+	TargetOptions.h
+
+INCSDIR=	/usr/include/llvm/Target
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Target/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Target/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Target/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Target/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Transforms/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Makefile
diff -N external/bsd/llvm/include/llvm/Transforms/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,15 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms
+
+SUBDIR+=	IPO InstCombine Instrumentation Scalar Utils Vectorize
+
+INCS=		Coroutines.h IPO.h Instrumentation.h ObjCARC.h \
+		Scalar.h Utils.h Vectorize.h 
+
+INCSDIR=	/usr/include/llvm/Transforms
+
+.include <bsd.subdir.mk>
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Transforms/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Transforms/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Transforms/AggressiveInstCombine/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/AggressiveInstCombine/Makefile
diff -N external/bsd/llvm/include/llvm/Transforms/AggressiveInstCombine/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/AggressiveInstCombine/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/AggressiveInstCombine
+
+INCS=		AggressiveInstCombine.h
+INCSDIR=	/usr/include/llvm/Transforms/AggressiveInstCombine
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Transforms/AggressiveInstCombine/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/AggressiveInstCombine/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Transforms/AggressiveInstCombine/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/AggressiveInstCombine/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Transforms/IPO/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/IPO/Makefile
diff -N external/bsd/llvm/include/llvm/Transforms/IPO/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/IPO/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,35 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/IPO
+
+INCS=	AlwaysInliner.h \
+	ArgumentPromotion.h \
+	CalledValuePropagation.h \
+	ConstantMerge.h \
+	CrossDSOCFI.h \
+	DeadArgumentElimination.h \
+	ElimAvailExtern.h \
+	ForceFunctionAttrs.h \
+	FunctionAttrs.h \
+	FunctionImport.h \
+	GlobalDCE.h \
+	GlobalOpt.h \
+	GlobalSplit.h \
+	InferFunctionAttrs.h \
+	Inliner.h \
+	Internalize.h \
+	LowerTypeTests.h \
+	PartialInlining.h \
+	PassManagerBuilder.h \
+	SCCP.h \
+	SampleProfile.h \
+	StripDeadPrototypes.h \
+	SyntheticCountsPropagation.h \
+	ThinLTOBitcodeWriter.h \
+	WholeProgramDevirt.h
+
+INCSDIR=	/usr/include/llvm/Transforms/IPO
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Transforms/IPO/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/IPO/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Transforms/IPO/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/IPO/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Transforms/InstCombine/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/InstCombine/Makefile
diff -N external/bsd/llvm/include/llvm/Transforms/InstCombine/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/InstCombine/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/InstCombine
+
+INCS=		InstCombine.h InstCombineWorklist.h
+INCSDIR=	/usr/include/llvm/Transforms/InstCombine
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Transforms/InstCombine/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/InstCombine/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Transforms/InstCombine/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/InstCombine/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Transforms/Instrumentation/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Instrumentation/Makefile
diff -N external/bsd/llvm/include/llvm/Transforms/Instrumentation/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Instrumentation/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,12 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/Instrumentation
+
+INCS=		BoundsChecking.h CGProfile.h GCOVProfiler.h InstrProfiling.h \
+		PGOInstrumentation.h 
+
+INCSDIR=	/usr/include/llvm/Transforms/Instrumentation
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Transforms/Instrumentation/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Instrumentation/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Transforms/Instrumentation/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Instrumentation/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Transforms/Scalar/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Scalar/Makefile
diff -N external/bsd/llvm/include/llvm/Transforms/Scalar/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Scalar/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,63 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/Scalar
+
+INCS=	ADCE.h \
+	AlignmentFromAssumptions.h \
+	BDCE.h \
+	CallSiteSplitting.h \
+	ConstantHoisting.h \
+	CorrelatedValuePropagation.h \
+	DCE.h \
+	DeadStoreElimination.h \
+	DivRemPairs.h \
+	EarlyCSE.h \
+	Float2Int.h \
+	GVN.h \
+	GVNExpression.h \
+	GuardWidening.h \
+	IVUsersPrinter.h \
+	IndVarSimplify.h \
+	InductiveRangeCheckElimination.h \
+	InstSimplifyPass.h \
+	JumpThreading.h \
+	LICM.h \
+	LoopAccessAnalysisPrinter.h \
+	LoopDataPrefetch.h \
+	LoopDeletion.h \
+	LoopDistribute.h \
+	LoopIdiomRecognize.h \
+	LoopInstSimplify.h \
+	LoopLoadElimination.h \
+	LoopPassManager.h \
+	LoopPredication.h \
+	LoopRotation.h \
+	LoopSimplifyCFG.h \
+	LoopSink.h \
+	LoopStrengthReduce.h \
+	LoopUnrollAndJamPass.h \
+	LoopUnrollPass.h \
+	LowerAtomic.h \
+	LowerExpectIntrinsic.h \
+	LowerGuardIntrinsic.h \
+	MemCpyOptimizer.h \
+	MergedLoadStoreMotion.h \
+	NaryReassociate.h \
+	NewGVN.h \
+	PartiallyInlineLibCalls.h \
+	Reassociate.h \
+	RewriteStatepointsForGC.h \
+	SCCP.h \
+	SROA.h \
+	SimpleLoopUnswitch.h \
+	SimplifyCFG.h \
+	Sink.h \
+	SpeculateAroundPHIs.h \
+	SpeculativeExecution.h \
+	TailRecursionElimination.h
+
+INCSDIR=	/usr/include/llvm/Transforms/Scalar
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Transforms/Scalar/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Scalar/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Transforms/Scalar/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Scalar/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Transforms/Utils/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Utils/Makefile
diff -N external/bsd/llvm/include/llvm/Transforms/Utils/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Utils/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,55 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/Utils
+
+INCS=	ASanStackFrameLayout.h \
+	AddDiscriminators.h \
+	BasicBlockUtils.h \
+	BreakCriticalEdges.h \
+	BuildLibCalls.h \
+	BypassSlowDivision.h \
+	CallPromotionUtils.h \
+	Cloning.h \
+	CodeExtractor.h \
+	CtorUtils.h \
+	EntryExitInstrumenter.h \
+	EscapeEnumerator.h \
+	Evaluator.h \
+	FunctionComparator.h \
+	FunctionImportUtils.h \
+	GlobalStatus.h \
+	ImportedFunctionsInliningStatistics.h \
+	IntegerDivision.h \
+	LCSSA.h \
+	LibCallsShrinkWrap.h \
+	Local.h \
+	LoopRotationUtils.h \
+	LoopSimplify.h \
+	LoopUtils.h \
+	LoopVersioning.h \
+	LowerInvoke.h \
+	LowerMemIntrinsics.h \
+	Mem2Reg.h \
+	ModuleUtils.h \
+	NameAnonGlobals.h \
+	OrderedInstructions.h \
+	PredicateInfo.h \
+	PromoteMemToReg.h \
+	SSAUpdater.h \
+	SSAUpdaterBulk.h \
+	SSAUpdaterImpl.h \
+	SanitizerStats.h \
+	SimplifyIndVar.h \
+	SimplifyLibCalls.h \
+	SplitModule.h \
+	SymbolRewriter.h \
+	UnifyFunctionExitNodes.h \
+	UnrollLoop.h \
+	VNCoercion.h \
+	ValueMapper.h
+
+INCSDIR=	/usr/include/llvm/Transforms/Utils
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Transforms/Utils/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Utils/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Transforms/Utils/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Utils/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Transforms/Vectorize/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Vectorize/Makefile
diff -N external/bsd/llvm/include/llvm/Transforms/Vectorize/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Vectorize/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/Vectorize
+
+INCS=		LoopVectorizationLegality.h LoopVectorize.h SLPVectorizer.h
+INCSDIR=	/usr/include/llvm/Transforms/Vectorize
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Transforms/Vectorize/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Transforms/Vectorize/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Transforms/Vectorize/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Transforms/Vectorize/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/XRay/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/XRay/Makefile
diff -N external/bsd/llvm/include/llvm/XRay/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/XRay/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,12 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/XRay
+
+INCS=		Graph.h InstrumentationMap.h Trace.h \
+		XRayRecord.h YAMLXRayRecord.h
+
+INCSDIR=	/usr/include/llvm/XRay
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/XRay/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/XRay/Makefile.inc
diff -N external/bsd/llvm/include/llvm/XRay/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/XRay/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm-c/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Makefile
diff -N external/bsd/llvm/include/llvm-c/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,35 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm-c
+
+SUBDIR+=	Transforms
+
+INCS=	Analysis.h \
+	BitReader.h \
+	BitWriter.h \
+	Comdat.h \
+	Core.h \
+	DataTypes.h \
+	DebugInfo.h \
+	Disassembler.h \
+	DisassemblerTypes.h \
+	ErrorHandling.h \
+	ExecutionEngine.h \
+	IRReader.h \
+	Initialization.h \
+	LinkTimeOptimizer.h \
+	Linker.h \
+	Object.h \
+	OrcBindings.h \
+	Support.h \
+	Target.h \
+	TargetMachine.h \
+	Types.h \
+	lto.h
+
+INCSDIR=	/usr/include/llvm-c
+
+.include <bsd.subdir.mk>
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm-c/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Makefile.inc
diff -N external/bsd/llvm/include/llvm-c/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm-c/Transforms/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Makefile
diff -N external/bsd/llvm/include/llvm-c/Transforms/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,13 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm-c/Transforms
+
+
+INCS=		IPO.h InstCombine.h PassManagerBuilder.h Scalar.h \
+		Utils.h Vectorize.h
+
+INCSDIR=	/usr/include/llvm-c/Transforms
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm-c/Transforms/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Makefile.inc
diff -N external/bsd/llvm/include/llvm-c/Transforms/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm-c/Transforms/AggressiveInstCombine/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/AggressiveInstCombine/Makefile
diff -N external/bsd/llvm/include/llvm-c/Transforms/AggressiveInstCombine/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/AggressiveInstCombine/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/AggressiveInstCombine
+
+INCS=		AggressiveInstCombine.h
+INCSDIR=	/usr/include/llvm/Transforms/AggressiveInstCombine
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm-c/Transforms/AggressiveInstCombine/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/AggressiveInstCombine/Makefile.inc
diff -N external/bsd/llvm/include/llvm-c/Transforms/AggressiveInstCombine/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/AggressiveInstCombine/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm-c/Transforms/IPO/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/IPO/Makefile
diff -N external/bsd/llvm/include/llvm-c/Transforms/IPO/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/IPO/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,35 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/IPO
+
+INCS=	AlwaysInliner.h \
+	ArgumentPromotion.h \
+	CalledValuePropagation.h \
+	ConstantMerge.h \
+	CrossDSOCFI.h \
+	DeadArgumentElimination.h \
+	ElimAvailExtern.h \
+	ForceFunctionAttrs.h \
+	FunctionAttrs.h \
+	FunctionImport.h \
+	GlobalDCE.h \
+	GlobalOpt.h \
+	GlobalSplit.h \
+	InferFunctionAttrs.h \
+	Inliner.h \
+	Internalize.h \
+	LowerTypeTests.h \
+	PartialInlining.h \
+	PassManagerBuilder.h \
+	SCCP.h \
+	SampleProfile.h \
+	StripDeadPrototypes.h \
+	SyntheticCountsPropagation.h \
+	ThinLTOBitcodeWriter.h \
+	WholeProgramDevirt.h
+
+INCSDIR=	/usr/include/llvm/Transforms/IPO
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm-c/Transforms/IPO/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/IPO/Makefile.inc
diff -N external/bsd/llvm/include/llvm-c/Transforms/IPO/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/IPO/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm-c/Transforms/InstCombine/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/InstCombine/Makefile
diff -N external/bsd/llvm/include/llvm-c/Transforms/InstCombine/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/InstCombine/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/InstCombine
+
+INCS=		InstCombine.h InstCombineWorklist.h
+INCSDIR=	/usr/include/llvm/Transforms/InstCombine
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm-c/Transforms/InstCombine/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/InstCombine/Makefile.inc
diff -N external/bsd/llvm/include/llvm-c/Transforms/InstCombine/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/InstCombine/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm-c/Transforms/Instrumentation/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Instrumentation/Makefile
diff -N external/bsd/llvm/include/llvm-c/Transforms/Instrumentation/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Instrumentation/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,12 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/Instrumentation
+
+INCS=		BoundsChecking.h CGProfile.h GCOVProfiler.h InstrProfiling.h \
+		PGOInstrumentation.h 
+
+INCSDIR=	/usr/include/llvm/Transforms/Instrumentation
+
+.include <bsd.prog.mk>
